<app-loading *ngIf="isLoading"></app-loading>
<nz-card [formGroup]="employeeForm" class="card-personal-info">
  <h3>{{ 'development.proposed-unit.section.personalInfo' | translate }}</h3>
  <div [nzGutter]="[32, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="6" id="empCode">
      <mb-input-text
        (click)="showModalPropose(footerTmplSingle, 'ADD')"
        [mbDisable]="typeAction !== screenType.create"
        [mbPrefixTemplate]="suffixIconSearch"
        [mbSuffixTemplate]="suffixIconClose"
        formControlName="empCode"
        mbLabelText="{{ 'development.proposed-unit.table.empCode' | translate }}"
        [mbMaxLength]="20"
        mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
        [mbReadOnly]="true"
      >
      </mb-input-text>
      <ng-template #suffixIconSearch>
        <em nz-icon nzTheme="outline" nzType="search"></em>
      </ng-template>
      <ng-template #suffixIconClose>
        <em
          (click)="clearEmployeeCode($event); $event.stopPropagation()"
          *ngIf="employeeForm.get('empCode').value && typeAction === screenType.create"
          nz-icon
          nzTheme="outline"
          nzType="close-circle"
        ></em>
      </ng-template>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.table.empName' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('fullName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.joinCompanyDate' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('joinCompanyDate')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.birthday' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('dateOfBirth')?.value }}</span>
    </div>

    <!-- Row 2 -->

    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.table.title' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('jobName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.table.level' | translate }}</span><br/>
      <span class="text-label">{{ employeeForm.get('levelName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="12">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.table.unit' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('orgPathName')?.value }}</span>
    </div>

    <!-- kiêm nhiệm -->

    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle' | translate }}</span
        ><br/>
      <span class="text-label">{{ employeeForm.get('concurrentTitleName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName')?.value">
    </div>

    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle' | translate }}</span
        ><br/>
      <span class="text-label">{{ employeeForm.get('concurrentUnitPathName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName')?.value">
    </div>

    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle2' | translate }}</span
        ><br/>
      <span class="text-label">{{ employeeForm.get('concurrentTitleName2')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName2')?.value">
    </div>

    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle2' | translate }}</span
        ><br/>
      <span class="text-label">{{ employeeForm.get('concurrentUnitPathName2')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName2')?.value">
    </div>



    <ng-container *ngIf="isSeeMore">
    <!-- Row 3 -->
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.majorLevelName' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('majorLevelName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.schoolName' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('schoolName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.facultyName' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('facultyName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.qualificationEnglish' | translate
        }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('qualificationEnglish')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.positionSeniorityMB' | translate
        }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('seniorityName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.positionSeniority' | translate }}</span
      ><br/>
      <span class="text-label">{{ employeeForm.get('posSeniorityName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        dataForm?.employee?.periodNameT2 ? ('development.proposed-unit.detail.employee.T2' | translate) + dataForm?.employee?.periodNameT2 : ('development.proposed-unit.detail.employee.T2' | translate)
        }}</span
      ><br/>
      <label class="text-label">{{
        employeeForm.get('semesterGradeT2')?.value
        }} {{ employeeForm.get('semesterRankT2')?.value ? ('(' + employeeForm.get('semesterRankT2')?.value + ')') : ''}}</label>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        dataForm?.employee?.periodNameT1 ? ('development.proposed-unit.detail.employee.T1' | translate) + dataForm?.employee?.periodNameT1 : ('development.proposed-unit.detail.employee.T1' | translate)
        }}</span
      ><br/>
      <label class="text-label">{{
        employeeForm.get('semesterGradeT1')?.value
        }} {{ employeeForm.get('semesterRankT1')?.value ? ('(' + employeeForm.get('semesterRankT1')?.value + ')') : ''}}</label>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.nearestDiscipline' | translate }}</span
      ><br/>
      <label class="text-label">{{ employeeForm.get('nearestDiscipline')?.value }}</label>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.endOfDisciplinaryDuration' | translate
        }}</span
      ><br/>
      <label class="text-label">{{ employeeForm.get('endOfDisciplinaryDuration')?.value }}</label>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.detail.employee.ratedCapacity' | translate }}</span
      ><br/>
      <label class="text-label">{{ employeeForm.get('ratedCapacity')?.value }}</label>
    </div>
    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <label class="partyDate" formControlName="partyDate" nz-checkbox [nzDisabled] = 'true'>{{
        'development.proposed-unit.detail.employee.partyDate' | translate
        }}</label>
    </div>



    </ng-container>


  </div>
  <div [nzGutter]="[32, 48]" nz-row>
    <div class="gutter-row" nz-col nzLg="24">
    </div>
    <div class="gutter-row" nz-col nzLg="8">
    </div>
    <div class="gutter-row text-center" nz-col nzLg="8">
      <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="VERY_LARGE"
      (click)="expandInfoEmp()"
      >
      <span>
        <em nz-icon [nzType]="expandInfoEmpText()"></em>
      </span>
      </mb-button>
    </div>
    <div class="gutter-row" nz-col nzLg="8">
    </div>
  </div>
</nz-card>


<nz-card class="rotationForm">
  <h3>{{ 'development.proposed-unit.section.formRotation' | translate }}</h3>
  <nz-table
    #basicTable
    [nzData]="rotations"
    [nzScroll]="{ x: '1090px' }"
    [nzShowPagination]="false"
    class="rotationTable"
    id="formRotation"
  >
    <thead>
    <tr>
      <th class="rotationForm__selected" scope="col"></th>
      <th class="text-center rotationForm__unit" scope="col">
        {{ 'development.proposed-unit.table.unit' | translate }}
      </th>
      <th class="subHeader-title rotationTable__titleCol" scope="col" *ngIf="formGroupCreate !== formTypeConst.PV">
        {{ 'development.proposed-unit.formRotation.rotationName' | translate }}
      </th>
      <th class="subHeader-title rotationTable__titleCol" scope="col">
        {{ 'development.proposed-unit.table.title' | translate }}
      </th>

      <th class="subHeader-title" scope="col">
        {{ 'development.proposed-unit.formRotation.otherUnit' | translate }}
      </th>

      <th class="subHeader-title" scope="col">
        {{ 'development.proposed-unit.formRotation.otherTitle' | translate }}
      </th>

      <th class="subHeader-title" scope="col">
        {{ 'development.proposed-unit.formRotation.proposeLevel' | translate }}
      </th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let item of basicTable.data; let i = index">
      <td>
        <nz-radio-group
          [(ngModel)]="item.formRotation"
          [ngModelOptions]="{ standalone: true}"
          [nzDisabled]="typeAction === screenType.detail || !employeeForm.get('empCode')?.value || isChangeLevel"
          nzName="formRotation"
        >
          <label (click)="onChangeFormRotation(i)" nz-radio nzValue="{{ i }}"></label>
        </nz-radio-group>
      </td>
      <td [nzTooltipTitle]="checkformRotationLabel(item.formRotationLabel) | translate" nz-tooltip>
        {{ item.formRotationLabel }}
      </td>
      <td class="text-center" *ngIf="formGroupCreate !== formTypeConst.PV">
        <mb-select
          [(ngModel)]="item.formRotationType"
          (ngModelChange)="setFormRotationTitle(item.formRotationType)"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="dataCommon.formGroupMultipleList"
          [mbDisable]="item.disabled"
          mbKeyLabel="formName"
          mbKeyValue="formCode"
          [mbType]="isSubmitPropose && !item.formRotationType && !item.disabled ?  'error' : 'default'"
          [mbShowError]="isSubmitPropose && !item.formRotationType && !item.disabled"
          [mbErrors]="{ required: true }"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
          mbPlaceholder="{{ 'development.proposed-unit.formRotation.rotationName' | translate }}">
        </mb-select>
      </td>
      <td>
        <nz-radio-group
          (ngModelChange)="changeTitle($event, i)"
          [(ngModel)]="item.formRotationTitle"
          [ngModelOptions]="{ standalone: true}"
          [nzDisabled]="item.disabled || !employeeForm.get('empCode')?.value || formGroupCreate === formTypeConst.DCLEVEL"
        >
          <label nz-radio nzValue="0">
            {{ 'development.proposed-unit.formRotation.sameTitle' | translate }}
          </label>
          <label class="rotationTable__radioRight" nz-radio nzValue="1">{{
            'development.proposed-unit.formRotation.differentTitle' | translate
            }}</label>
        </nz-radio-group>
      </td>
      <td class="selectUnit">
        <ng-container *ngIf="typeAction === screenType.detail && item?.formRotation">
          <span>{{ dataForm?.contentUnitPathName }}</span>
        </ng-container>
        <ng-container *ngIf="typeAction !== screenType.detail">
          <mb-select-unit
            (ngModelChange)="onChangeUnit($event?.orgId, i)"
            *ngIf="i === 1"
            [(ngModel)]="item.contentUnit"
            [ngModelOptions]="{ standalone: true}"
            [disabled]="item.disabled"
            [mbType]="isSubmitPropose && !item.contentUnit && !item.disabled ?  'error' : 'default'"
            [mbShowError]="isSubmitPropose && !item.contentUnit && !item.disabled"
            [mbErrors]="{ required: true }"
            [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            mbPlaceholder="{{ 'development.proposed-unit.table.unit' | translate }}"
          >
          </mb-select-unit>
          <mb-select
            (ngModelChange)="onChangeUnit($event, i)"
            *ngIf="i === 0"
            [(ngModel)]="item.contentUnitCode"
            [ngModelOptions]="{ standalone: true}"
            [mbDataSelects]="listInUnit"
            [mbDisable]="item.disabled || isChangeLevel"
            mbKeyLabel="name"
            mbKeyValue="value"
            [mbType]="isSubmitPropose && !item.contentUnitCode && !item.disabled ?  'error' : 'default'"
            [mbShowError]="isSubmitPropose && !item.contentUnitCode && !item.disabled"
            [mbErrors]="{ required: true }"
            [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            mbPlaceholder="{{ 'development.proposed-unit.table.unit' | translate }}"
          >
          </mb-select>
        </ng-container>
      </td>
      <td>
        <mb-select
          [(ngModel)]="item.contentTitleCode"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="jobDTOSApi"
          [mbDisable]="item.disabled || item.formRotationTitle === formRotationTitle.SAME_TITLE || isChangeLevel"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [mbType]="isSubmitPropose && !item.contentTitleCode && !item.disabled ?  'error' : 'default'"
          [mbShowError]="isSubmitPropose && !item.contentTitleCode && !item.disabled"
          [mbErrors]="{ required: true }"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
          mbPlaceholder="{{ 'development.proposed-unit.table.proposeTitle' | translate }}"
        ></mb-select>
      </td>
      <td>
        <mb-select
          [(ngModel)]="item.level"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="listLevel"
          [mbDisable]="item.disabled"
          mbKeyLabel="name"
          mbKeyValue="name"
          mbPlaceholder="{{ 'development.proposed-unit.formRotation.level' | translate }}">
        </mb-select>
      </td>
    </tr>
    <tr>
      <td colspan="2">
        <span>
          {{ 'development.proposed-unit.formRotation.proposeDateImplement' | translate }}
          <span class="star">*</span>
        </span>
      </td>
      <td [formGroup]="proposeDetailForm">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          formControlName="implementDate"
          [mbDisabledDate]="disabledImplementDate"
          [mbType]="isSubmitPropose && proposeDetailForm.get('implementDate')?.errors ?  'error' : 'default'"
          [mbShowError]="isSubmitPropose && !!proposeDetailForm.get('implementDate')?.errors"
          [mbErrors]="{ required: true }"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
      >
      </mb-date-picker>
    </td>

    <ng-container *ngIf="disableShowMinTime">
      <td>{{ 'development.proposed-unit.formRotation.minimumTime' | translate }}</td>
      <td [formGroup]="proposeDetailForm">
          <mb-input-text
            mbInputType='number'
            [mbShowFlexEnd]='false'
            formControlName="minimumTime"
            minNumber='0'
          >
          </mb-input-text>
      </td>
    </ng-container>
    <ng-container *ngIf="disableShowMaxTime">
      <td>{{ 'development.proposed-unit.formRotation.maximumTime' | translate }}</td>
      <td [formGroup]="proposeDetailForm">
        <mb-input-text
          mbInputType='number'
          [mbShowFlexEnd]='false'
          formControlName="maximumTime"
          minNumber='0'
        >
        </mb-input-text>
      </td>
    </ng-container>

    </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card class="rotationReasonsCard" id="rotationReason">
  <h3>
    {{ 'development.proposed-unit.section.rotationReasons' | translate }}
    <span class="star">{{ 'development.proposed-unit.section.star' | translate }}</span>
  </h3>
  <nz-table
    #basicTable2
    [nzData]="rotationReasons?.length > 0 ? rotationReasons : [{}]"
    [nzPageSize]="rotationReasons?.length"
    [nzShowPagination]="false"
    class="rotationReasonTB"
  >
    <thead>
    <tr>
      <th nzWidth="30%" scope="col">
        {{ 'development.proposed-unit.detail.rotationReason' | translate }}
      </th>
      <th nzWidth="65%" scope="col">
        {{ 'development.proposed-unit.proposeLogsTable.description' | translate }}
      </th>
      <th *ngIf="typeAction !== screenType.detail || !employeeForm.get('empCode')?.value" scope="col"></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let item of basicTable2.data; let i = index">
      <td>
        <span *ngIf="typeAction === screenType.detail">{{ item.name }}</span>
        <mb-select
          *ngIf="typeAction !== screenType.detail"
          (ngModelChange)="checkValue($event, i, item)"
          [(ngModel)]="item.rotationReasonID"
          [mbDataSelects]="rotationList"
          [mbDisable]="typeAction === screenType.detail || !employeeForm.get('empCode')?.value"
          mbKeyLabel="name"
          mbKeyValue="id"
          mbPlaceholder="{{ 'development.proposed-unit.detail.rotationReason' | translate }}"
          [ngModelOptions]="{ standalone: true}"
          [mbType]="
            isSubmitPropose &&
            !item.rotationReasonID
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitPropose &&
            !item.rotationReasonID
          "
          [mbErrors]="{ required: true }"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        >
        </mb-select>
      </td>
      <td>
        <span *ngIf="typeAction === screenType.detail">{{ item.description }}</span>
        <input
          *ngIf="typeAction !== screenType.detail"
          [(ngModel)]="item.description"
          [ngModelOptions]="{ standalone: true}"
          [disabled]="typeAction === screenType.detail || !employeeForm.get('empCode')?.value"
          maxlength="200"
          nz-input
          placeholder="{{ 'development.proposed-unit.proposeLogsTable.description' | translate }}"
        />
      </td>
      <td *ngIf="typeAction !== screenType.detail && employeeForm.get('empCode')?.value">
        <em nz-icon nzType="plus-circle" class="icon-single" (click)="addRotationReasons()"></em>
        <em
          nz-icon
          nzType="delete"
          class="icon-single"
          *ngIf="!checkDeleteReason()"
          (click)="deleteRotationReasons(i, item)">
        </em>
      </td>
    </tr>
    </tbody>
  </nz-table>
</nz-card>

<!-- Kết quả thực hiện công việc -->
<nz-card>
  <h3>{{ 'development.proposed-unit.section.performanceResults' | translate }}</h3>
  <nz-table
    #basicTable3
    [nzData]="proposePerformanceResults?.length > 0 ? proposePerformanceResults : [{}]"
    [nzPageSize]="proposePerformanceResults?.length"
    [nzScroll]="{ x: '1090px' }"
    [nzShowPagination]="false"
    class="resultJobCard"
    nzTableLayout="fixed"
  >
    <thead>
    <tr>
      <th class="text-center resultJobCard__STT" rowspan="2" scope="col">
        {{ 'development.proposed-unit.table.stt' | translate }}
      </th>
      <th class="text-center resultJobCard__targetAssigned" rowspan="2" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.targetAssigned' | translate }}
      </th>
      <th class="subHeader-title resultJobCard__density" rowspan="2" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.density' | translate }}
      </th>
      <th class="text-center resultJobCard__plan" colspan="2" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.plan' | translate }}
      </th>
      <th class="text-center resultJobCard__action" colspan="2" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.action' | translate }}
      </th>
      <th class="text-center resultJobCard__mark" rowspan="2" scope="col">
        {{ 'development.proposed-unit.detail.employee.mark' | translate }}
      </th>
      <th class="alternativeCard__action" rowspan="2" scope="col"></th>
    </tr>
    <tr>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.planIndicator' | translate }}
      </th>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.deadline' | translate }}
      </th>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.planIndicator' | translate }}
      </th>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.proposePerformanceResult.deadline' | translate }}
      </th>
    </tr>
    </thead>
    <tbody>
    <ng-container>
      <tr *ngFor="let item of basicTable3.data; let i = index">
        <td class="text-center">{{ i + 1 }}</td>
        <td class="span-disable">
          <span *ngIf="item.disabled || !employeeForm.get('empCode')?.value">{{ item.targetAssigned }}</span>
          <input
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.targetAssigned"
            [ngModelOptions]="{ standalone: true}"
            maxlength="200"
            nz-input
            placeholder="{{ 'development.proposed-unit.proposePerformanceResult.targetAssigned' | translate }}"
          />
        </td>
        <td class="span-disable">
          <span *ngIf="item.disabled || !employeeForm.get('empCode')?.value">{{ item.density }}</span>
          <nz-input-number
            (nzBlur)="calculate(item, true)"
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.density"
            [ngModelOptions]="{ standalone: true}"
            [nzMax]="100"
            [nzMin]="0"
            class="resultJobCardNumber"
            nz-input
            placeholder="{{ 'development.proposed-unit.proposePerformanceResult.density' | translate }}"
          ></nz-input-number>
        </td>
        <td class="span-disable">
          <span *ngIf="item.disabled || !employeeForm.get('empCode')?.value">{{ item.planIndicator }}</span>
          <nz-input-number
            (nzBlur)="calculate(item, false)"
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.planIndicator"
            [ngModelOptions]="{ standalone: true}"
            class="resultJobCardNumber"
            nz-input
            placeholder="{{ 'development.proposed-unit.proposePerformanceResult.planIndicator' | translate }}"
          ></nz-input-number>
        </td>
        <td class="span-disable">
          <div *ngIf="item.disabled || !employeeForm.get('empCode')?.value">
              <span *ngIf="item.planDeadline">
                <em nz-icon nzTheme="outline" nzType="calendar" class="resultJobCard__calendar"></em>
              </span>
            <span>{{ item.planDeadline | date: 'dd/MM/yyyy' }}</span>
          </div>
          <mb-date-picker
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.planDeadline"
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            [ngModelOptions]="{ standalone: true}"
          >
          </mb-date-picker>
        </td>
        <td class="span-disable">
          <span *ngIf="item.disabled || !employeeForm.get('empCode')?.value">{{ item.realityIndicator }}</span>
          <nz-input-number
            (nzBlur)="calculate(item, false)"
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.realityIndicator"
            [ngModelOptions]="{ standalone: true}"
            class="resultJobCardNumber"
            nz-input
            placeholder="{{ 'development.proposed-unit.proposePerformanceResult.planIndicator' | translate }}"
          ></nz-input-number>
        </td>
        <td class="span-disable">
          <div *ngIf="item.disabled || !employeeForm.get('empCode')?.value">
              <span *ngIf="item.realityDeadline">
                <em nz-icon nzTheme="outline" nzType="calendar" class="resultJobCard__calendar"></em>
              </span>
            <span>{{ item.realityDeadline | date: 'dd/MM/yyyy' }}</span>
          </div>
          <mb-date-picker
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.realityDeadline"
            [ngModelOptions]="{ standalone: true}"
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            name="estimatedDate"
          >
          </mb-date-picker>
        </td>
        <td class="span-disable">
          <nz-input-number
          (nzBlur)="calculatePoint()"
            *ngIf="!item.disabled && employeeForm.get('empCode')?.value"
            [(ngModel)]="item.point"
            [ngModelOptions]="{ standalone: true}"
            class="resultJobCardNumber"
            nz-input
            placeholder="Điểm"
          ></nz-input-number>


          <!-- {{ item.point || 0 }} -->
          <span *ngIf="item.disabled || !employeeForm.get('empCode')?.value">{{ item.point }}</span>


        </td>
        <td>
          <ng-container *ngIf="typeAction !== screenType.detail && employeeForm.get('empCode')?.value">
            <em nz-icon nzType="plus-circle" class="icon-single" (click)="addProposePerformanceResult()"></em>
            <em
              nz-icon
              nzType="delete"
              class="icon-single"
              *ngIf="!checkDeletePerformance()"
              (click)="deleteProposePerformanceResult(i)">
            </em>
          </ng-container>
        </td>
      </tr>
    </ng-container>
    <tr>
      <td class="resultJobCard__total text-center">
        {{ 'development.proposed-unit.proposePerformanceResult.total' | translate }}
      </td>
      <td></td>
      <td class="span-disable">
        {{ sumProposePerformanceResults || 0 }}
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="span-disable">{{ sumPoint || 0 }}</td>
      <td *ngIf="typeAction !== screenType.detail"></td>
    </tr>
    </tbody>
  </nz-table>
</nz-card>

<!-- Phương án thay thế (nếu có) -->
<nz-card class="alternativeCard">
  <h3>{{ 'development.proposed-unit.section.alternative' | translate }}</h3>
  <nz-table
    #basicTable4
    [nzData]="proposeAlternative"
    [nzScroll]="{ x: '100%' }"
    [nzShowPagination]="false"
    class="alternativeTB"
  >
    <thead>
    <tr>
      <th class="alternativeCard__choose" rowspan="2" scope="col">
        {{ 'development.proposed-unit.proposeAlternative.choose' | translate }}
      </th>
      <th class="text-center alternativeCard__estimatedDate" rowspan="2" scope="col">
        {{ 'development.proposed-unit.proposeAlternative.estimatedDate' | translate }}
      </th>
      <th class="text-center alternativeCard__layoutPlan" colspan="2" scope="col">
        {{ 'development.proposed-unit.proposeAlternative.replaceName' | translate }}
      </th>
      <th class="text-center alternativeCard__replaceName" colspan="3" scope="col">
        {{ 'development.proposed-unit.proposeAlternative.layoutPlan' | translate }}
      </th>
      <th nzRight class="alternativeCard__action" rowspan="2" scope="col"></th>
    </tr>
    <tr>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.table.empCode' | translate }}
      </th>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.proposeAlternative.fullNameTitleName' | translate }}
      </th>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.table.empCode' | translate }}
      </th>
      <th class="text-center" scope="col">
        {{ 'development.proposed-unit.proposeAlternative.fullName2' | translate }}
      </th>
      <th class="text-center" scope="col">{{ 'development.proposed-unit.table.title' | translate }}</th>

    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let item of basicTable4.data; let i = index">



      <td>
        <mb-select
          [(ngModel)]="item.alternativeType"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="planAlternative"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbPlaceholder="{{ 'development.proposed-unit.section.alternative1' | translate }}"
          [mbDisable]="typeAction === screenType.detail"
        >
        </mb-select>

      </td>
      <td>
        <mb-date-picker
          [(ngModel)]="item.estimatedDate"
          [ngModelOptions]="{ standalone: true}"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          [mbDisabled]="typeAction === screenType.detail"
        >
        </mb-date-picker>
      </td>
      <!-- Trong đơn vị -->
      <ng-container *ngIf="item?.alternativeType === 0; else outUnit">
        <td>
          <mb-input-text
            (click)="showModalEmpAlternative(footerTmplSingle, typeEmpAlternative.REPLACE, i)"
            [mbPrefixTemplate]="suffixIconSearch"
            [(ngModel)]="item.replacementEmployeeCode"
            [mbMaxLength]="20"
            mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
            [mbReadOnly]="true"
            [mbDisable]="typeAction === screenType.detail"
          >
          </mb-input-text>
          <ng-template #suffixIconSearch>
            <em nz-icon nzTheme="outline" nzType="search"></em>
          </ng-template>
        </td>

        <td>
          <mb-input-text
            [mbDisable]="true"
            [(ngModel)]="item.replacementEmployee"
            mbPlaceholderText="{{ 'development.proposed-unit.proposeAlternative.fullNameTitleName' | translate }}"
          >
          </mb-input-text>
        </td>
      </ng-container>

      <!-- Trong đơn vị -->
      <ng-template #outUnit>
        <td colspan="2">
          <mb-input-text
            mbPlaceholderText="{{ 'development.proposed-unit.proposeAlternative.replacementEmployee' | translate }}"
            [(ngModel)]="item.replacementEmployee"
            [mbDisable]="typeAction === screenType.detail"
          ></mb-input-text>
        </td>
      </ng-template>
      <td>
        <mb-input-text
        (click)="showModalEmpAlternative(footerTmplSingle, typeEmpAlternative.HANDOVER, i)"
        [mbPrefixTemplate]="suffixIconSearch"
        [(ngModel)]="item.handoverEmployeeCode"
        [mbMaxLength]="20"
        mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
        [mbReadOnly]="true"
        [mbDisable]="typeAction === screenType.detail"
      >
      </mb-input-text>
      <ng-template #suffixIconSearch>
        <em nz-icon nzTheme="outline" nzType="search"></em>
      </ng-template>
      </td>
      <td>
        <mb-input-text
          [mbDisable]="true"
          [(ngModel)]="item.handoverEmployeeName"
          mbPlaceholderText="{{ 'development.proposed-unit.proposeAlternative.fullName2' | translate }}"
        ></mb-input-text>
      </td>
      <td>

        <mb-input-text
        [mbDisable]="true"
        mbPlaceholderText="{{ 'development.proposed-unit.table.title' | translate }}"
        [(ngModel)]="item.handoverEmployeeTitleName"
          ></mb-input-text>
      </td>
      <td nzRight *ngIf="typeAction !== screenType.detail && employeeForm.get('empCode')?.value">
        <em nz-icon nzType="plus-circle" class="icon-single" (click)="addProposeAlternative()"></em>
        <em
          nz-icon
          nzType="delete"
          class="icon-single"
          *ngIf="!checkDeleteReason1()"
          (click)="deleteRotationReasons1(i, item)">
        </em>
      </td>

    </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card [formGroup]="proposeCommentForm" class="commentCard" id="comments">
  <div [nzGutter]="6" nz-row>
    <div class="gutter-row" nz-col nzLg="6">
      <h3 class="left">
        {{ 'development.proposed-unit.section.comment' | translate }}
      <span class="star">{{ 'development.proposed-unit.section.star' | translate }}</span>
      </h3>
    </div>
    <div class="gutter-row" nz-col nzLg="12"></div>
    <div *ngIf="typeAction !== screenType.create && violationCode !== undefined" class="gutter-row" nz-col nzLg="6">
      <nz-tag [nzColor]="displayConditionViolation()?.color" class="commentCard__tag">
        {{ displayConditionViolation()?.label }}
      </nz-tag>
    </div>
  </div>
  <div [nzGutter]="[40, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="12">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="strengths"
        [mbMaxLength]="200"
        mbLabelText="{{ 'development.proposed-unit.proposeComment.strengths' | translate }}"
        mbPlaceholderText="{{
          'development.proposed-unit.proposeComment.strengths' | translate
        }}"
        [mbType]="
          isSubmitPropose &&
          proposeCommentForm.get('strengths')?.errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitPropose &&
          !!proposeCommentForm.get('strengths')?.errors
        "
        [mbErrors]="proposeCommentForm.get('strengths')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.proposed-unit.reportCard.mustInput' | translate
          }
        ]"
      ></mb-input-text>
    </div>
    <div class="gutter-row" nz-col nzLg="12">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="weaknesses"
        [mbMaxLength]="200"
        mbLabelText="{{ 'development.proposed-unit.proposeComment.weaknesses' | translate }}"
        mbPlaceholderText="{{
          'development.proposed-unit.proposeComment.weaknesses' | translate
        }}"
        [mbType]="
          isSubmitPropose &&
          proposeCommentForm.get('weaknesses')?.errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitPropose &&
          !!proposeCommentForm.get('weaknesses')?.errors
        "
        [mbErrors]="proposeCommentForm.get('weaknesses')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.proposed-unit.reportCard.mustInput' | translate
          }
        ]"
      ></mb-input-text>
    </div>
    <div
      *ngIf="typeAction !== screenType.create && violationCode !== 2 && violationCode !== undefined"
      class="gutter-row"
      nz-col
      nzLg="12"
    >
      <span class="title-section">{{ 'development.proposed-unit.proposeComment.conditionFault' | translate }}</span
      ><br/>
      <div class="violations" nz-typography>
        <ul *ngFor="let item of conditionViolation">
          <li>{{ item }}</li>
        </ul>
      </div>
    </div>
  </div>
</nz-card>

<nz-card *ngIf="checkReportSectionElement()">
  <div nz-row [nzGutter]="[40, 32]" *ngIf="screenCode === screenCodeConst.HRDV && flowStatusCode !== flowCodeConst.CHUAGUI1">
    <div nz-col class="gutter-row" nzLg="16">
      <nz-radio-group
        [(ngModel)]="displayReport"
        (ngModelChange)="checkReportStatus()"
        class="header-form__radio"
        [nzDisabled]="typeAction === screenType.detail"
      >
        <label nz-radio [nzValue]="true">{{ 'development.proposed-unit.reportCard.approveOnHCM' | translate }}</label>
        <label nz-radio [nzValue]="false">{{
          'development.proposed-unit.reportCard.notThroughLeader' | translate
        }}</label>
      </nz-radio-group>
    </div>
    <div nz-col class="gutter-row" nzLg="8" *ngIf="checkPrintReportElement()">
      <mb-button
        (click)="dowloadStatement(0)"
        mbButtonAvailableStyle='PRIMARY'
        class="printReport"
        mbButtonText="{{ 'development.proposed-unit.reportCard.printReport' | translate }}"
      >
      </mb-button>
    </div>
  </div>

  <!-- tờ trình của Đon vị -->
  <ng-container *ngIf="checkReportParent()">
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formTTQD"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
          [mbType]="
            isSubmitPropose &&
            formTTQD.get('statementNumber')?.errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitPropose &&
            formTTQD.get('statementNumber')?.errors !== null
          "
          [mbErrors]="formTTQD.get('statementNumber')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbDisabledDate]="disabledEndDateSubmission"
          [mbType]="
            isSubmitPropose &&
            formTTQD.get('submissionDate')?.errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitPropose &&
            formTTQD.get('submissionDate')?.errors !== null
          "
          [mbErrors]="formTTQD.get('submissionDate')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"
        *ngIf="fileListSelectTT.length === 1 || (this.typeAction === this.screenType.update && flowStatusCode !== flowCodeConst.CHUAGUI1)">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <nz-upload
          [nzDownload]="downloadFile"
          [nzDisabled]="fileListSelectTT.length === 1"
          nzListType="text"
          [(nzFileList)]="fileListSelectTT"
          [nzMultiple]="false"
          [nzBeforeUpload]="beforeUploadTTOrigin"
          [nzRemove]="doRemoveFileTTOrigin"
          *ngIf="!checkViewFileParent() && !checkDisplayReportEdit() && flowStatusCode !== flowCodeConst.CHUAGUI1"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
            *ngIf="typeAction === screenType.update && !checkDisplayReportEdit()"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
        <a *ngIf="checkViewFileParent() || checkDisplayReportEdit()" (click)="downloadFile2(fileParent.uid, fileParent.fileName)">
          {{ fileParent.fileName }}
        </a>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row" nzLg="12" *ngIf="checkApproveNoteOrigin()">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="100"
          [mbConfig]="{ rows: 4, autoSize: false }"
          formControlName="approveNote"
          mbLabelText="{{
            'development.proposed-unit.reportCard.apporvedOpinionOfLeader'
              | translate
          }}<span class='label__required'>*</span>"
          mbPlaceholderText="{{
            'development.proposed-unit.reportCard.apporvedOpinionOfLeader'
              | translate
          }}"
          [mbType]="
            isSubmitPropose &&
            formTTQD.get('approveNote')?.errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitPropose &&
            formTTQD.get('approveNote')?.errors !== null
          "
          [mbErrors]="formTTQD.get('approveNote')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        ></mb-input-text>
      </div>
    </div>
  </ng-container>

  <!-- tờ trình chỉnh sửa của Đon vị -->
  <ng-container *ngIf="checkDisplayReportEdit()">
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnitEdit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formReportElement"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbDisable]="typeAction === screenType.detail || isScreenHandle"
          [mbMaxLength]="10"
          [mbType]="isSubmitPropose && formReportElement.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitPropose && formReportElement.controls['statementNumber'].errors != null"
          [mbErrors]="formReportElement.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbDisable]="typeAction === screenType.detail || isScreenHandle"
          [mbType]="isSubmitPropose && formReportElement.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitPropose && formReportElement.controls['submissionDate'].errors != null"
          [mbErrors]="formReportElement.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [mbDisabledDate]="disabledEndDateSubmission"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"  
        *ngIf="fileListSelectTTElement.length === 1 || this.typeAction === this.screenType.update">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <nz-upload
          [nzDownload]="downloadFile"
          [nzDisabled]="fileListSelectTTElement.length === 1"
          nzListType="text"
          [(nzFileList)]="fileListSelectTTElement"
          [nzBeforeUpload]="beforeUploadTT"
          [nzRemove]="doRemoveFileTT"
          [nzMultiple]="false"
          *ngIf="!checkViewFileElement()"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
            *ngIf="typeAction === screenType.update && checkDisplayReportEdit()"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
        <a *ngIf="checkViewFileElement()" (click)="downloadFile2(fileElement?.uid, fileElement?.fileName)">
          {{ fileElement?.fileName }}
        </a>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="12" *ngIf="checkApproveNoteElement()">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbMaxLength]="100"
          [mbConfig]="{ rows: 4, autoSize: false }"
          formControlName="approveNote"
          [mbDisable]="typeAction === screenType.detail || isScreenHandle"
          mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          [mbType]="isSubmitPropose && formReportElement.controls['approveNote'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitPropose && formReportElement.controls['approveNote'].errors != null"
          [mbErrors]="formReportElement.controls['approveNote'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-input-text>
      </div>
    </div>
  </ng-container>

</nz-card>

<nz-card class="idea" id="idea" *ngIf="checkApproveLDDV()">
  <mb-input-text
    [mbIsTextAre]='true'
    [mbConfig]="{ rows: 4, autoSize: true }"
    [(ngModel)]="noteLDDV"
    mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
    mbPlaceholderText="{{ 'development.proposed-unit.detail.idea' | translate }}"
  ></mb-input-text>
</nz-card>

<nz-card id="tab7" *ngIf="viewProposeLogsStatus()">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableConfig" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>

<ng-template #footerTmplSingle>
  <mb-button (click)="modalRef.destroy()" mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ">
  </mb-button>
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="Lưu"
  ></mb-button>
</ng-template>
